
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: finalMaterialTypes.addInput) {
        return request('/api/finalmaterial/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: finalMaterialTypes.delInput) {
        return request(`/api/finalmaterial/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: finalMaterialTypes.updateInput) {
        return request('/api/finalmaterial/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/finalmaterial/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: finalMaterialTypes.queryParms) {
        return request('/api/finalmaterial/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: finalMaterialTypes.queryPage) {
        return request('/api/finalmaterial/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
 //批量创建物料信息
 BatchAdd(parms: finalMaterialTypes.addInput[]){
    return request('/api/finalmaterial/batchadd', {
        method: 'POST',
        data: parms
    });
},
}

